For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Invoices Payments

Create and retrieve payment records for sales invoices.

List sales invoices payments

get

Retrieves a paginated list of all sales invoice payments for the specified consent.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

β›” Can't be supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

βœ… Supported

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

πŸ“ž Not supported / contact us

Procountor

Procountor

πŸ“ž Not supported / contact us

Visma Netvisor

Visma Netvisor

πŸ“ž Not supported / contact us

Microsoft Business Central

Microsoft Business Central

πŸ“ž Not supported / contact us

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

βœ… Supported

Bokio

Bokio

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Responses
200

Returns a paginated list of sales invoice payments for the specified consent.

application/json

Represents a paginated result containing metadata and a collection of items.

get/api/v1/consents/{consentId}/salesinvoices/payments
GET /accounting/api/v1/consents/{consentId}/salesinvoices/payments HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
  "meta": {
    "totalResources": 10,
    "totalPages": 1,
    "currentPage": 1
  },
  "data": [
    {
      "id": "59",
      "paymentId": "59",
      "reference": "PAY-59",
      "receivedDate": "2022-06-01",
      "paidDate": "2022-06-01",
      "bookedIndicator": true,
      "bookedDate": "2022-06-02",
      "accountingAccount": {
        "id": "5233",
        "accountingAccountId": "5233",
        "reference": "5233",
        "standardAccountingAccountId": null,
        "name": "Bank account",
        "active": null,
        "postable": null,
        "description": {
          "languageId": "ENG",
          "text": "Main bank"
        },
        "descriptions": [
          {
            "languageId": "ENG",
            "text": "Main bank"
          }
        ],
        "accountingAccountTypeCode": null,
        "financialDimensions": []
      },
      "status": null,
      "billingReferences": [
        {
          "invoiceDocumentReferences": [
            {
              "id": "INV-001",
              "schemeId": "invoiceId"
            }
          ]
        }
      ],
      "documentCurrencyCode": {
        "currency": "DKK",
        "currencyId": "DKK",
        "currencyRate": 1
      },
      "amount": 500,
      "creditAmount": {
        "amount": 500,
        "currencyId": "DKK"
      },
      "debitAmount": {
        "amount": 0,
        "currencyId": "DKK"
      }
    }
  ]
}

List payments from a single sales invoice

get

Retrieves a paginated list of payments for a specific sales invoice.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

πŸ“ž Not supported / contact us

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

πŸ“ž Not supported / contact us

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

βœ… Supported

Procountor

Procountor

βœ… Supported

Visma Netvisor

Visma Netvisor

πŸ“ž Not supported / contact us

Microsoft Business Central

Microsoft Business Central

πŸ“ž Not supported / contact us

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

βœ… Supported

Bokio

Bokio

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

salesInvoiceIdstringRequired

Identifier of the sales invoice.

Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Responses
200

Returns a paginated list of sales invoice payments for the specified consent.

application/json

Represents a paginated result containing metadata and a collection of items.

get/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}/payments
GET /accounting/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}/payments HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
  "meta": {
    "totalResources": 10,
    "totalPages": 1,
    "currentPage": 1
  },
  "data": [
    {
      "id": "59",
      "paymentId": "59",
      "reference": "PAY-59",
      "receivedDate": "2022-06-01",
      "paidDate": "2022-06-01",
      "bookedIndicator": true,
      "bookedDate": "2022-06-02",
      "accountingAccount": {
        "id": "5233",
        "accountingAccountId": "5233",
        "reference": "5233",
        "standardAccountingAccountId": null,
        "name": "Bank account",
        "active": null,
        "postable": null,
        "description": {
          "languageId": "ENG",
          "text": "Main bank"
        },
        "descriptions": [
          {
            "languageId": "ENG",
            "text": "Main bank"
          }
        ],
        "accountingAccountTypeCode": null,
        "financialDimensions": []
      },
      "status": null,
      "billingReferences": [
        {
          "invoiceDocumentReferences": [
            {
              "id": "INV-001",
              "schemeId": "invoiceId"
            }
          ]
        }
      ],
      "documentCurrencyCode": {
        "currency": "DKK",
        "currencyId": "DKK",
        "currencyRate": 1
      },
      "amount": 500,
      "creditAmount": {
        "amount": 500,
        "currencyId": "DKK"
      },
      "debitAmount": {
        "amount": 0,
        "currencyId": "DKK"
      }
    }
  ]
}

Create a sales invoice payment

post

Creates a new payment for the specified sales invoice.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

πŸ“ž Not supported / contact us

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

πŸ“ž Not supported / contact us

Procountor

Procountor

πŸ“ž Not supported / contact us

Visma Netvisor

Visma Netvisor

πŸ“ž Not supported / contact us

Microsoft Business Central

Microsoft Business Central

πŸ“ž Not supported / contact us

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

βœ… Supported

Bokio

Bokio

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

salesInvoiceIdstringRequired

Identifier of the sales invoice.

Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Body

Represents input data for creating a sales invoice payment.

idstring Β· nullableOptional

Unique identifier for the payment.

referencestring Β· nullableOptional

Reference identifier for the payment.

receivedDatestring Β· nullableOptional

Date when the payment was received.

paidDatestring Β· nullableOptional

Date when the payment was made.

bookedIndicatorboolean Β· nullableOptional

Indicates whether the payment is booked.

bookedDatestring Β· nullableOptional

Date when the payment was booked.

amountnumber Β· nullableOptional

Monetary amount for the payment.

paymentIdstring Β· nullableOptionalDeprecated

Deprecated. Use ZG.AccountingService.AccountingModels.Dtos.Input.CreateInvoicePaymentDtoBase.Reference instead. External payment identifier. (Deprecated: Use Reference instead)

Responses
201

The sales invoice payment was created. Response includes a Location header with the URL of the created resource.

post/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}/payments
POST /accounting/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}/payments HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
Accept: */*
Content-Length: 616

{
  "id": null,
  "reference": null,
  "receivedDate": null,
  "paidDate": null,
  "bookedIndicator": null,
  "bookedDate": null,
  "accountingAccount": {
    "id": null,
    "reference": null,
    "standardAccountingAccountId": null,
    "name": null,
    "active": null,
    "postable": null,
    "descriptions": [
      {
        "text": null,
        "languageId": null
      }
    ],
    "accountingAccountTypeCode": {
      "code": null,
      "listId": null
    },
    "financialDimensions": [
      {
        "id": null,
        "reference": null,
        "type": null,
        "name": null,
        "description": null,
        "isActive": null
      }
    ]
  },
  "documentCurrencyCode": {
    "currencyId": null,
    "currencyRate": null
  },
  "amount": null,
  "creditAmount": {
    "amount": 1,
    "currencyId": null
  },
  "debitAmount": {
    "amount": 1,
    "currencyId": null
  }
}

No content

Last updated

Was this helpful?